React UI Components Documentation

Typescript React SwitchButton Component

This tutorial will show you the basics of how to get started with the jQWidgets SwitchButton React Component.

Prerequisites

Refer to Getting Started with React before you start with this help topic.

Structure


I. Imports:

import * as React from 'react';
import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css';
import 'jqwidgets-scripts/jqwidgets/styles/jqx.material-purple.css';
import JqxSwitchButton, { ISwitchButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxswitchbutton';

II. Class:

class App extends React.PureComponent<{}, ISwitchButtonProps> {
constructor(props: {}) {
super(props);
this.state = {
width: '100%'
// Other Widget Props
}
}
render() {
return (
<JqxSwitchButton
width={this.state.width} height={"100%"} .....
/>
)
}
}

III. Render:

ReactDOM.render(<App />, document.getElementById('app'));

Events

The event names in React are constructed of the original event names starting with capital letter plus on upfront:

class App extends React.PureComponent<{}, ISwitchButtonProps> {
constructor(props: {}) {
super(props);
this.state = {
width: '100%'
// Other Widget Props
}
}
render() {
return (
<JqxSwitchButton onNameOfEvent={this.handleEvent}
width={this.state.width} height={"100%"} .....
/>
)
}
private handleEvent(e: Event): void {
// Do Something ...
}
}

Methods & Properties

This is how you call methods & props:

//Get Methods
const value = this.mySwitchButton.current!.methodName(arg1, arg2);
//Set Methods
this.mySwitchButton.current!.methodName(arg1, arg2);
//Get Properties
const height = this.state.height;
//Set Properties
this.setState({ height: 250 });

Every component have a method setOptions which accepts a object as an argument. This object contains component settings.

Every component also have a method getOptions which returns the value of the requested option.

SwitchButton API

API Reference of the jQWidgets SwitchButton React Component: SwitchButton API

SwitchButton Demos

Demos Reference of the jQwidgets SwitchButton React Component: SwitchButton Demos

Angular UI Components Documentation

Angular SwitchButton Component

The SwitchButton component for Angular lets the user toggle between checked and unchecked states.

Prerequisites

Refer to Angular Getting Started before you start with this help topic.

Configuration

I. Imports

The SwitchButton component for Angular requires the following imports.

import{Component  } from '@angular/core'; import { jqxSwitchButtonComponent } from 'jqwidgets-ng/jqxswitchbutton';           

II. @Component Decorator

A class is marked as an Angular component through the @Component decorator:

@Component({
selector: 'app-root',
template: "<jqxSwitchButton [width]="80" [height]="height"></jqxSwitchButton>"
})

  • selector - CSS selector that identifies this component in a template
  • styles - inline-defined styles to be applied to this component's view
  • styleUrls - list of URLs to stylesheets to be applied to this component's view
  • template - inline-defined template for the view
  • templateUrl - URL to an external file containing a template for the view
The full list of @Component decorator properties is available on: Angular @Component Decorator API


Every jQWidgets Angular component has an [auto-create] attribute which determines whether the component is automatically created or is created on demand by API method call.
By default, the [auto-create] attribute value is true.

III. Create the AppComponent class

export class AppComponent
{
height: number = 40;
}

The AppComponent class is used to instantiate the app. In some of the examples, we use @ViewChild and ngAfterViewInit.

  • @ViewChild: makes a reference using a SwitchButton selector. View queries are set before the ngAfterViewInit callback is called.
    @ViewChild('switchButtonReference') mySwitchButton: jqxSwitchButtonComponent;
  • ngAfterViewInit - this is an Angular Component Lifecycle method in which we create our angular components. After the view is initialized, mySwitchButton is available.
    For more information about this methods please refer to Angular Component Lifecycle API

The following example demonstrates the SwitchButton component for Angular.

app.component.htm

<div id="settings-panel">
<div class="sections-top-shadow"></div>
<div class="settings-section-top settings-section">
<div class="settings-label">Ringtone</div>
<div class="settings-setter">
<div class="settings-melody">Marimba</div>
</div>
</div>
<div class="settings-section">
<div class="settings-label">New Mail</div>
<div class="settings-setter">
<jqxSwitchButton (onChecked)="onChecked(1)" (onUnchecked)="onUnchecked(1)"
[width]='81' [height]='27' [checked]='true'>
</jqxSwitchButton>
</div>
</div>
<div class="settings-section">
<div class="settings-label">Sent Mail</div>
<div class="settings-setter">
<jqxSwitchButton (onChecked)="onChecked(2)" (onUnchecked)="onUnchecked(2)"
[width]='81' [height]='27' [checked]='true'>
</jqxSwitchButton>
</div>
</div>
<div class="settings-section">
<div class="settings-label">Calendar Alerts</div>
<div class="settings-setter">
<jqxSwitchButton (onChecked)="onChecked(3)" (onUnchecked)="onUnchecked(3)"
[width]='81' [height]='27' [checked]='true'>
</jqxSwitchButton>
</div>
</div>
<div class="settings-section">
<div class="settings-label">Lock Sounds</div>
<div class="settings-setter">
<jqxSwitchButton (onChecked)="onChecked(4)" (onUnchecked)="onUnchecked(4)"
[width]='81' [height]='27' [checked]='true'>
</jqxSwitchButton>
</div>
</div>
<div class="sections-section-bottom settings-section">
<div class="settings-label">Keyboard Clicks</div>
<div class="settings-setter">
<jqxSwitchButton (onChecked)="onChecked(5)" (onUnchecked)="onUnchecked(5)"
[width]='81' [height]='27' [checked]='false'>
</jqxSwitchButton>
</div>
</div>
</div>
<div class="events-container">
<div>Events:</div>
<div #events></div>
</div>

app.component.css

app.component.ts

Run Code

IV. Create SwitchButton component with JSON

  • Add the imports.

    import { Component, ViewChild, AfterViewInit } from '@angular/core';
    import { jqxSwitchButtonComponent } from 'jqwidgets-ng/jqxswitchbutton';

    @Component decorator:

    @Component({
        selector: 'app-root',
        template: `<jqxSwitchButton #switchButtonReference></jqxSwitchButton>`
    })
    
  • Create the AppComponent class.

    • @ViewChild: makes a reference using a SwitchButton selector. View queries are set before the ngAfterViewInit callback is called.
      @ViewChild('switchButtonReference') mySwitchButton: jqxSwitchButtonComponent;
    • ngAfterViewInit: All Angular components have an integrated method called createComponent that accept a JSON object with the component initialization properties. If no argument is passed, default properties will be used. If you would like to dynamically set properties after creation, you can use the setOptions method.
      ngAfterViewInit(): void
      {
          this.mySwitchButton.createComponent(this.SwitchButtonSettings);
      }
      
  • The following example demonstrates how to create a SwitchButton component for Angular by using the createComponent method.


Properties

The properties which are defined as attributes can be changed directly:

To get or set a property, which we did not define or call a method, we can do the following:

  • Import @ViewChild decorator:


  • Add the SwitchButton component:


  • Get access to the SwitchButton component and its API:


  • Finally, we can call methods or set/get properties like that:


Every component has a method setOptions which accepts a JSON object as an argument. This object contains component settings and you can use it to set a single or multiple properties dynamically.

Events

The change event is triggered when the switch button's state changes from one state to another.

The following example demonstrates how to add an event listener.

Note: Event Names of the SwitchButton component for Angular are the same as the Event Names of the jqxSwitchButton widget.
The only thing you need to do is to put "on" before the event name and upperCase it's the first letter.

Methods

To invoke methods, you can use the SwitchButton reference.
 ( enable() to enable the widget )  - this.mySwitchButton.enable().

The following example demonstrates how to invoke methods of the SwitchButton component for Angular.

SwitchButton Examples

Overview

The following example demonstrates how to create a SwitchButton component for Angular.

Disabling

The following example demonstrates how to disable the SwitchButton component for Angular.

Change ON and OFF labels

To change the labels of the switchbutton set the desired value in the onLabel and offLabel properties.

SwitchButton API

API Reference of the jQWidgets SwitchButton component for Angular: SwitchButton API

Vue UI Components Documentation
Vue SwitchButton Component
The SwitchButton component for Vue lets the user toggle between checked and unchecked states.
Prerequisites
Refer to Vue Getting Started before you start with this help topic.
Configuration
After you have created your App.vue file, here is how you should structure it:
The SwitchButton component for Vue requires the following import:
Add the jqxSwitchButton component to the components section of the the Vue class:
Template
The App.vue has a <template>
structural tag where we determine the application structure.
There we will also set the tags for the new components - <JqxSwitchButton/>
<template> <JqxSwitchButton :width="width" :height="height" :checked="checked"> </JqxSwitchButton></template>
Properties
The properties of the <JqxSwitchButton/> component are defined in the data
member of the Vue class.
We should put them in the return object of the data function:
data: function () { return { width: 80, height: 30, checked: true }}
Events
The events in Vue are set as an attribute with @ prefix, for example:
<JqxSwitchButton @unchecked="onUnchecked()" :width="width" :height="height" :checked="checked"></JqxSwitchButton>
All events that are bound to a component are implemented in the methods
member of the Vue class.
methods: { onUnchecked: function () { // Do something... }}
Methods
To use a component's method we should have its reference. In Vue we refer to a component by the special $refs
property.
Before that we need to add the desired name reference to that component:
<JqxSwitchButton ref="switchbutton"></JqxSwitchButton>
Here how you can use a component's method:
this.$refs.switchbutton.disable();
methods: { // Add here all used callbacks and/or events onUnchecked: function () { // Do something... this.refs.switchbutton.disable(); }}
If we want to add additional methods we should also implement them in the methods
member.
In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate
member.
It depends on the case.
If you have followed the above steps, you App.vue file would look like this: